gnome-sharp 2.20.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Base class for canvas item shapes

Provides a base class for canvas item shapes, including: , , , and .

Gnome.CanvasItem
- Constructor
  Internal constructor
  Pointer to the C object.

  This is an internal constructor, and should not be used by user code.

- Property
  Gnome.CanvasPathDef The used a or if none is set for the shape.

  It does not request updates, as it is meant to be used from item implementations, from inside update queue.

- Property
  Gdk.Drawable Stipple pattern for fill. Stipple pattern GLib.Property("fill_stipple")
- Property
  System.String X color specification for outline color, or pointer for no color (transparent). X color specification GLib.Property("outline_color")
- Property
  Gdk.CapStyle Cap (end point) style for the Bezier path. Cap style used by the Bezier path GLib.Property("cap_style")
- Property
  Gdk.JoinStyle Vertex join style for the Bezier path. Verty join style used by the Bezier path GLib.Property("join_style")
- Property
  System.UInt32 Fill color with an alpha component (in the format 0xRRGGBBAA). the fill color GLib.Property("fill_color_rgba")
- Property
  System.Double Minimum angle between segments, where miter join rule is applied. Minimum angle between segments, where miter join rule is applied. GLib.Property("miterlimit")
- Property
  Gdk.Color Allocated for fill. the to fill GLib.Property("fill_color_gdk")
- Property
  System.Double Width of the outline in canvas units. The outline will be scaled when the canvas zoom factor is changed. width of the outline GLib.Property("width_units")
- Property
  System.UInt32 Outline color with an alpha component (in the format 0xRRGGBBAA). outline color GLib.Property("outline_color_rgba")
- Property
  System.UInt32 Width of the outline in pixels. The outline will not be scaled when the canvas zoom factor is changed. width of the outline GLib.Property("width_pixels")
- Property
  System.UInt32 Winding rule for the Bezier path winding rule used by the Bezier path GLib.Property("wind")
- Property
  Gdk.Drawable Stipple pattern for outline. Stipple pattern used by the outline GLib.Property("outline_stipple")
- Property
  System.String X color specification for fill color, or pointer for no color (transparent). X color specification GLib.Property("fill_color")
- Property
  Gdk.Color Allocated for outline. the color of the outline GLib.Property("outline_color_gdk")
- Property
  Art.VpathDash To be added a To be added GLib.Property("dash")
- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
  System.Obsolete
- Constructor
  To be added
  a
  a
  To be added
- Constructor
  To be added
  To be added